Bug 764322 - (GLUSTER-2590) Two-part rebalance is unusable
Two-part rebalance is unusable
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-25 14:40 EDT by Vikas Gorur
Modified: 2013-12-18 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vikas Gorur 2011-03-25 14:40:23 EDT
[root@vikas-sb build]# /usr/sbin/gluster volume rebalance gl2 fix-layout status
Usage: volume rebalance <VOLNAME> [fix-layout|migrate-data] {start|stop|status}

The old way of invoking still works:

[root@vikas-sb build]# /usr/sbin/gluster volume rebalance gl2 status
rebalance completed

The culprit code is in cli/src/cli-cmd-volume.c: cli_cmd_volume_defrag_cbk:

if (strcmp (words[3], "start") && strcmp (words[3], "stop") && 
            strcmp (words[3], "status")) {
                cli_usage_out (word->pattern);
                parse_error = 1;
                goto out;
        }

words[3] is supposed to be [fix-layout|migrate-data]. The code is still checking for "start", "stop", and "status", and exiting.
Comment 1 Amar Tumballi 2011-03-25 22:12:07 EDT
Patch committed for this.

http://patches.gluster.com/patch/6496/


Once we have 3.2.0 ready, we will migrate it back to 3.1.x branch.

Regards,
Amar
Comment 2 Amar Tumballi 2011-04-06 20:05:16 EDT
http://patches.gluster.com/patch/6649/

fixes bug in release-3.1 branch.. committed.
Comment 3 Raghavendra Bhat 2011-04-13 03:52:34 EDT
Checked with the below commands and it worked fine.

gluster volume add-brick mirror bigbang:/d/glusterfs/export/export1 bigbang:/e/glusterfs/export/export1
Add Brick successful
root@bigbang:/mnt/client# gluster volume rebalance mirror fix-layout start
starting rebalance on volume mirror has been successful
root@bigbang:/mnt/client# gluster volume rebalance mirror fix-layout status
rebalance step 1: layout fix in progress
root@bigbang:/mnt/client# gluster volume rebalance mirror fix-layout status
rebalance step 1: layout fix in progress: fixed layout 1
root@bigbang:/mnt/client# gluster volume rebalance mirror fix-layout status
rebalance step 1: layout fix complete: fixed layout 1
root@bigbang:/mnt/client# gluster volume rebalance mirror fix-layout status
rebalance step 1: layout fix complete: fixed layout 1
root@bigbang:/mnt/client# gluster volume rebalance mirror fix-layout status
rebalance step 1: layout fix complete: fixed layout 1
root@bigbang:/mnt/client# gluster volume rebalance mirror migrate-data start
starting rebalance on volume mirror has been successful
root@bigbang:/mnt/client# gluster volume rebalance mirror migrate-data status
rebalance step 1: layout fix in progress
root@bigbang:/mnt/client# gluster volume rebalance mirror migrate-data status
rebalance step 1: layout fix in progress
root@bigbang:/mnt/client# gluster volume rebalance mirror migrate-data status
rebalance step 1: layout fix in progress
root@bigbang:/mnt/client# gluster volume rebalance mirror migrate-data status
rebalance step 2: data migration in progress: rebalanced 2 files of size 20480 (total files scanned 5)
root@bigbang:/mnt/client# gluster volume rebalance mirror migrate-data status
rebalance step 2: data migration complete: rebalanced 54 files of size 552960 (total files scanned 154)
root@bigbang:/mnt/client# gluster volume rebalance mirror migrate-data status
rebalance step 2: data migration complete: rebalanced 54 files of size 552960 (total files scanned 154)

Note You need to log in before you can comment on or make changes to this bug.